2015-07-25 13:40 (0.6.1) Volker Gropp <bwmng(at)gropp.org>

	* cleanups for 0.6.1 release
	* fix g++5 warnings and errors
	* fallback to auto libstatgrab check if no other input found
	* libstatgrab no longer default configure option, remove dependency on most distributions
	* add more buildfiles to ignore
	* Fix to work with libstatgrab-0.90 
	  From http://svnweb.freebsd.org/ports/head/net-mgmt/bwm-ng/files/patch-src__input__libstatgrab.c?view=markup
	  Original patch by Tim Bishop <tdb@freebsd.org
	* add autotools foo to gitignore
	* usleep return value check Creator: Alexey Zakharov
	* src/output.c:fix Wrong TX value in plain data (bug ID 1797088).
	  fix Dynamic multiplier for bits is now set to x1000 (1kbit = 1000 bits, 1Mbit = 10^6 bits, ...), 
	  instead of x1024, which applies only for bytes.
	* Fixes some little typos in the man page. Creator: Ricardo
	* add LICENSE
	* delete unused interfaces from internal interface-list
	* code cleanup due to gcc flags -Werror -Wdeclaration-after-statement -Wno-pointer-sign -Wcast-align -Wbad-function-cast -Wmissing-declarations -Winline -Wsign-compare -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wl,--as-needed -Wredundant-decls -Wwrite-strings -Wformat -Wformat-security -Wswitch-enum -Winit-self -Wmissing-include-dirs
	* fixed bug with attached patch: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506503
	* fixed missing flush to tmp file in csv output
	* fix same values for rx and tx on plain output
	* add csv output specs to man page

2007-03-01 07:01 (0.6) Volker Gropp <bwmng(at)gropp.org>

	* Makefile.am, README, autogen.sh, bwm-ng.1, configure.in,
	  src/input/libkstat.c, src/input/netstat.c: cleanups for 0.6
	  release

2007-02-28 13:37  Volker Gropp <bwmng(at)gropp.org>

	* Makefile.am, src/input/sysctl.c, src/process.c: fix strange
	  netbsd behavior

2007-02-28 12:33  Volker Gropp <bwmng(at)gropp.org>

	* Makefile.am, README, acinclude.m4, autogen.sh, configure.in,
	  src/Makefile.am: fix automake issues

2007-02-28 03:03  Volker Gropp <bwmng(at)gropp.org>

	* autogen.sh, configure.in, src/Makefile.am, src/bwm-ng.h,
	  src/input, src/input/devstat.c, src/input/devstat.h,
	  src/input/getifaddrs.c, src/input/getifaddrs.h,
	  src/input/ioservice.c, src/input/ioservice.h,
	  src/input/libkstat.c, src/input/libkstat.h,
	  src/input/libstatgrab.c, src/input/libstatgrab.h,
	  src/input/netstat.c, src/input/netstat.h,
	  src/input/proc_diskstats.c, src/input/proc_diskstats.h,
	  src/input/proc_net_dev.c, src/input/proc_net_dev.h,
	  src/input/retrieve.c, src/input/retrieve.h, src/input/sysctl.c,
	  src/input/sysctl.h, src/input/win32.c, src/input/win32.h,
	  src/retrieve.c, src/retrieve.h: split src/retrieve.[ch] into
	  src/input/*.[ch]

2007-02-28 01:02  Volker Gropp <bwmng(at)gropp.org>

	* autogen.sh: using autoreconf if applicable

2007-02-27 20:35  Volker Gropp <bwmng(at)gropp.org>

	* bwm-ng.1, bwm-ng.conf-example, src/bwm-ng.c, src/global_vars.h,
	  src/options.c, src/retrieve.c, src/retrieve.h: default to bsd
	  names on ioservice input, optional long disknames

2007-02-26 20:42  Volker Gropp <bwmng(at)gropp.org>

	* README, autogen.sh, bwm-ng.1, configure.in, src/defines.h,
	  src/options.c, src/output.c, src/retrieve.c, src/retrieve.h: add
	  IOKit disk input on Darwin

2007-02-23 18:30  Volker Gropp <bwmng(at)gropp.org>

	* bwm-ng.1, bwm-ng.conf-example, src/bwm-ng.c, src/defines.h,
	  src/global_vars.h, src/help.c, src/options.c, src/output.c,
	  src/process.c: add option to disable ANSI Codes on plain output

2007-02-23 12:52  Volker Gropp <bwmng(at)gropp.org>

	* README, autogen.sh, bwm-ng.1, configure.in, src/defines.h,
	  src/options.c, src/output.c, src/retrieve.c, src/retrieve.h: add
	  devstat (FreeBSD) disk input

2007-02-23 10:07  Volker Gropp <bwmng(at)gropp.org>

	* src/defines.h, src/options.c, src/output.c, src/retrieve.c,
	  src/retrieve.h: remove SYSCTLDISK_IN depends on SYSCTL define

2007-02-23 09:07  Volker Gropp <bwmng(at)gropp.org>

	* autogen.sh, configure.in: fix removed file check when given
	  --with-diskstats

2007-02-23 08:45  Volker Gropp <bwmng(at)gropp.org>

	* autogen.sh, configure.in: fix autogen on openbsd without
	  AUTOCONF_VERSION set. check for sysctldisk input without
	  sysctl(net)

2007-02-22 22:20  Volker Gropp <bwmng(at)gropp.org>

	* README, bwm-ng.1, configure.in, src/defines.h, src/options.c,
	  src/output.c, src/retrieve.c, src/retrieve.h: added
	  netbsd/openbsd sysctl disk io input

2007-02-22 12:59  Volker Gropp <bwmng(at)gropp.org>

	* autogen.sh: readd aclocal and automake scan to autogen.sh, runs
	  better on openbsd this way

2007-02-22 11:32  Volker Gropp <bwmng(at)gropp.org>

	* README, src/output.c, src/retrieve.c: some cleanup in
	  proc/partitions code

2007-02-20 11:47  Volker Gropp <bwmng(at)gropp.org>

	* src/retrieve.c: simplify parsing of /proc/stat disk_io:

2007-02-20 00:34  Volker Gropp <bwmng(at)gropp.org>

	* configure.in, src/retrieve.c: add early linux kernel 2.4 disk io
	  support (/proc/stat)

2007-02-19 23:35  Volker Gropp <bwmng(at)gropp.org>

	* README, configure.in, src/bwm-ng.c, src/curses_tools.c,
	  src/curses_tools.h, src/retrieve.c: clean dirty ifdefs a little

2007-02-19 13:34  Volker Gropp <bwmng(at)gropp.org>

	* configure.in, src/curses_tools.h: fix solaris compiling issues

2007-02-19 13:11  Volker Gropp <bwmng(at)gropp.org>

	* configure.in: add libs to correct var

2007-02-19 13:07  Volker Gropp <bwmng(at)gropp.org>

	* configure.in: fix missing defines and add of linker flags (buggy
	  autotools?)

2007-02-19 12:48  Volker Gropp <bwmng(at)gropp.org>

	* autogen.sh: simplify autogen.sh, we dont check for autotools
	  version anymore, if it fails, it fails. its more portable now

2007-02-19 12:26  Volker Gropp <bwmng(at)gropp.org>

	* configure.in, src/retrieve.c: fix kstat configure and disk input

2007-02-19 11:19  Volker Gropp <bwmng(at)gropp.org>

	* src/defines.h: fix libkstat typos

2007-02-18 12:29  Volker Gropp <bwmng(at)gropp.org>

	* src/curses_tools.c, src/defines.h, src/options.c, src/output.c,
	  src/retrieve.c: add kstatdisk (solaris disk input)

2007-02-16 21:53  Volker Gropp <bwmng(at)gropp.org>

	* src/bwm-ng.c: fix handle failure of usleep

2007-02-16 17:19  Volker Gropp <bwmng(at)gropp.org>

	* configure.in, src/bwm-ng.c, src/defines.h, src/global_vars.h,
	  src/help.c, src/options.c, src/output.c, src/process.c,
	  src/retrieve.c: add proc/partitions disk input support (linux
	  2.4) and fix devfs device names

2007-02-16 06:56  Volker Gropp <bwmng(at)gropp.org>

	* src/bwm-ng.c, src/curses_tools.c, src/global_vars.h: dont use
	  SCREEN anymore in curses, fix usleep error handling

2007-02-16 05:19  Volker Gropp <bwmng(at)gropp.org>

	* src/bwm-ng.c: some ncurses version will segfault, usw delscreen
	  as last call

2007-02-16 00:30  Volker Gropp <bwmng(at)gropp.org>

	* README, src/Makefile.am, src/bwm-ng.h, src/help.c, src/help.h,
	  src/options.c, src/retrieve.c, src/types.h: fix win compile and
	  win32 missing input

2007-02-14 17:55  Volker Gropp <bwmng(at)gropp.org>

	* configure.in, src/bwm-ng.c, src/defines.h, src/options.c,
	  src/output.c, src/process.c, src/retrieve.c, src/retrieve.h,
	  src/types.h: make bwm-ng compile with gcc -ansi -pedantic in
	  linux

2007-02-14 15:10  Volker Gropp <bwmng(at)gropp.org>

	* bwm-ng.1, src/bwm-ng.c, src/bwm-ng.h, src/curses_tools.c,
	  src/curses_tools.h, src/defines.h, src/global_vars.h, src/help.c,
	  src/help.h, src/options.c, src/options.h, src/output.c,
	  src/output.h, src/process.c, src/process.h, src/retrieve.c,
	  src/retrieve.h, src/types.h: reorganize header files and global
	  vars

2007-02-14 10:54  Volker Gropp <bwmng(at)gropp.org>

	* README, src/output.c, src/process.c, src/retrieve.c: fix output
	  of max,sum,avg in csv and curses2 output. fix libstatdisk input.
	  more checks for failed malloc in inputs

2007-02-13 14:56  Volker Gropp <bwmng(at)gropp.org>

	* ChangeLog, README, configure.in, src/defines.h, src/process.c,
	  src/retrieve.c: fix libstatgrab disk-bytes, hide loop devices on
	  linux disk input

2007-02-13 12:49  Volker Gropp <bwmng(at)gropp.org>

	* README, bwm-ng.1, bwm-ng.conf-example, configure.in,
	  src/bwm-ng.c, src/bwm-ng.h, src/curses_tools.c, src/defines.h,
	  src/help.c, src/options.c, src/options.h, src/output.c,
	  src/process.c, src/retrieve.c, src/retrieve.h: add diskio stats
	  using linux 2.6 /proc/diskstats and libstatgrab

2007-02-11 12:51  Volker Gropp <bwmng(at)gropp.org>

	* acinclude.m4, configure.in: only check for libstat if no other
	  net-input found

2007-02-10 19:03  Volker Gropp <bwmng(at)gropp.org>

	* src/output.c, src/retrieve.c, src/types.h: fix csv output didnt
	  respect --type

2006-12-15 16:43  Volker Gropp <bwmng(at)gropp.org>

	* ChangeLog, src/options.c: fixes
	  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=403099

2006-10-13 15:25  Volker Gropp <bwmng(at)gropp.org>

	* .: ignore eclipse project files

2006-10-13 15:16  Volker Gropp <bwmng(at)gropp.org>

	* src/bwm-ng.c: changed copyright years (svn test)

2006-10-10 23:25  Volker Gropp <bwmng(at)gropp.org>

	* src/output.c: fixed length of string, was broken in OpenBSD
	  aswell

2006-10-10 23:07  Volker Gropp <bwmng(at)gropp.org>

	* src/defines.h, src/output.c, src/retrieve.c: added strlcpy makro
	  for systems without it builtin

2006-10-10 22:41  Volker Gropp <bwmng(at)gropp.org>

	* configure.in, src/output.c, src/retrieve.c: merged OpenBSD
	  patches for strlcpy by niallo

2006-10-08 11:05  Volker Gropp <bwmng(at)gropp.org>

	* README: small url and platforms update

2006-04-23 18:56  Volker Gropp <bwmng(at)gropp.org>

	* src/help.c, src/output.c: indent fixes

2006-04-23 15:44  Volker Gropp <bwmng(at)gropp.org>

	* src/bwm-ng.c, src/bwm-ng.h, src/retrieve.c, src/retrieve.h:
	  readded win32 functions which were accidently removed

2006-04-23 15:17  Volker Gropp <bwmng(at)gropp.org>

	* src/bwm-ng.c: fix win32 Sleep

2006-04-23 15:11  Volker Gropp <bwmng(at)gropp.org>

	* configure.in, src/bwm-ng.c, src/bwm-ng.h, src/curses_tools.h,
	  src/help.h, src/options.h, src/output.h, src/process.h,
	  src/retrieve.c, src/retrieve.h, src/types.h: fix win32 compile
	  (mingw gcc)

2006-04-22 20:24  Volker Gropp <bwmng(at)gropp.org>

	* src/curses_tools.c: fixed small curses2 issues

2006-04-22 19:18  Volker Gropp <bwmng(at)gropp.org>

	* src/bwm-ng.c, src/bwm-ng.h, src/defines.h, src/retrieve.c,
	  src/retrieve.h: added win32 input

2006-04-21 14:36  Volker Gropp <bwmng(at)gropp.org>

	* src/bwm-ng.c, src/curses_tools.c, src/curses_tools.h,
	  src/options.c, src/options.h, src/process.h, src/retrieve.c,
	  src/retrieve.h: fixed set error code to 1 on exit with error

2006-04-19 14:22  Volker Gropp <bwmng(at)gropp.org>

	* bwm-ng.1: fixed more typos in manpage, thx to D. Viano
	  <debian@damianv.com.ar>

2006-04-19 14:17  Volker Gropp <bwmng(at)gropp.org>

	* bwm-ng.1, src/curses_tools.c: fixed typo in manpage

05-12-2005 (0.6-pre2-cvs)   Bastian Riehl <mail(at)bastian-riehl.de>

	* src/bwm-ng.c,src/curses_tools.c,src/curses_tools.h,src/defines.h,
	src/help.c,src/help.h,src/options.c,src/options.h,
	src/output.c,src/output.h: added first curses2 support, some nice bar
	chart (submitted by Bastian Riehl)
	
04-12-2005 (0.6-pre1-cvs)	Volker Gropp <bwmng(at)gropp.org>
	
	* acinclude.m4, configure.in, aclocal.m4, Makefile.in, Makefile.am: added 
	full auto* support for a proper `make install`

	* defines.h: removed MAJOR, MINOR, EXTRA and changed to VERSION from
	config.h and configure

	* changelog: renamed to ChangeLog and changed to a proper format

	* THANKS: added
	
	* process.c: fixed avg was wrong on startup and when delay was changed
	while running

	* retrieve.c: small cleanup of check_if_up().

	* bwm-ng.c: fixed memleak of if_name and myscr in deinit().

	* src/output.c: fixed from single to double quotes in order to valide with
	w3c (reported by -f <f@obiit.org>)

	* bwm-ng.conf-example: fixed default procfile to /proc/net/dev (reported
	by -f <f@obiit.org>)

	* src/options.c: fixed error and exit if outfile cant be open (reported by
	-f <f@obiit.org>)

	* src/bwm-ng.c: fixed html footer output to stdout when deamon, header and
	outfile set (reported by -f <f@obiit.org>)

	* src/options.c: hopefully fixed segfault when empty lines in config in
	openbsd 3.8 (reply is welcome) (reported by -f <f@obiit.org>)
	
	* src/defines.h,src/help.c,src/options.c: fixed return codes

02-20-2005	(0.5)	Volker Gropp <bwmng(at)gropp.org>
	
	* added: outfile and daemonize for html output
	
	* fixes: for IRIX
	
	* added: bit/second output 
		(Michael Eckhoff <mreckhof(at)gmail.com>)
	
	* added: errors/s output
	
	* removed: -p and -b, added -u/--unit <value>
	
	* added: max stats (--type,-T and 't')
	
	* added: sum stats
	
	* moved: alot functions from retrieve.c into process.c
	
	* added: average stats
	
	* output.c: moved help output into help.c
	
	* help.c,curses.c: added onlinehelp for curses output (key 'h')
	
	* curses.c,bwm-ng.c: resize term in curses output
	
	* fixed: libstatgrab input segfault
	
	* fixed: /etc/bwm-ng.conf and ~/.bwm-ng.conf were not 
	skipped if configfile was specified in cmdline
	
	* added: optional argument for -D, -S and -d
	
	* bwm-ng.1: added manpage
	
	* configure.in: added configure --disable-extendedstats to compile w/o
	avg, sum and max
	
	* fixed: compile on MacOSX 10.1
	
	* curses.c: fallback to plain output if curses init fails
	
	* configure.in: added --enable-debug for -g3 and future use #define DEBUG


01-18-2005	(0.5-pre1)	Volker Gropp <bwmng(at)gropp.org>
	
	* fixed: invalid option msg showed up twice
	
	* added: --sumhidden, by default hidden ifaces dont count for
	total anymore
	
	* added: show iface cycle for gui (curses yet) modes
	up and not hidden, up and hidden, all
	
	* process.c: if ifacelist (-I) is prefaced with % it behaves like a
	blacklist
	
	* options.c: get_options (long_options) cleanup
	
	* fixed: wrong values on proc/net/dev wrap around.
	
	* fixed: several configure and compile issues

	* added: output correct error messages

	* added: Solaris support (kstat and netstat)
	
	* fixed: segfault with getifaddrs on MacOSX < 10.3
	
	* fixed: NetBSD/OpenBSD compile 
	
	* added: NetBSD/OpenBSD netstat support
	
	* fixed: netstat parsing if address field missing
	
	* fixed: showing same iface twice on netstat input


12-20-2004	(0.4)	Volker Gropp <bwmng(at)gropp.org>

	* added: configure script and config.h
	
	* changed: input_method handling (cycling while running works
	now for all methods)
	
	* added: sysctl input (mostly for BSD), the old sysctl was
	getiffaddrs() actually
	
	* fixed: netstat input for BSD
	
	* changed: html cleanup and <html> header is now opt: --htmlheader
	
	* added: using real time elapsed since last probe to calc byte/s
	old method is backup if no gettimeofday is available
	
	* changed: switched in and out in plain, curses and html output
	
	* added: support for configfiles


10-31-2004	(0.4-pre3)	Volker Gropp <bwmng(at)gropp.org>

	* added: BSD support via sysctl (only fbsd tested yet)
	
	* fixed: gcc warnings on old/non x86 systems
	
	* added: errors output (inverse in curses)
	
	* added: libstatgrap support
	
	* another: get_iface_stats cleanup/split
	
	* Makefile: added options
	
	* fixed: removed interfaces can cause a blank line
	
	* added: -D__CURSES, if not defined, you can build without
	libcurses
	
	* changed: plain output with count>1 to almost the same as
	curses output except inputkeys and errors support
	
	* added: -D__HTML and -D__CSV to select output at compiletime


10-21-2004	(0.4-pre2)	Volker Gropp <bwmng(at)gropp.org>

	* added: html output, bwm-ng.css prolly needs alot of tweaking

10-17-2004	(0.4-pre1)	Volker Gropp <bwmng(at)gropp.org>
	
	* changed: get_iface_stats cleanup
	
	* added: plain and csv output
	
	* splited: the big bwm-ng.c
	
	* added: interface list (whitelist)
	
	* changed: -lncurses instead of -lcurses, hope this will work on more
	boxes


09-16-2004	(0.3)	Volker Gropp <bwmng(at)gropp.org>

	* fixed: cosmetic changes, KB/s is now default (again)
	
	* added: netstat input

	* added: packet output

	* added: show only-up-interfaces or all


09-07-2004	(0.2)	Volker Gropp <bwmng(at)gropp.org>

	* changed: rewrote parsing
	
	* changed: cosmetic changes
	
	* changed: to dynamic allocated and displayed interfaces
	
	* added: possible to auto switch Byte KB and MB per second


09-07-2004	(0.1)	Volker Gropp <bwmng(at)gropp.org>

	* added: initial release, almost if not all features of old bwm

